Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.search.finder
Class FindInDialogAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.owl.ui.search.finder.FindInDialogAction

All Implemented Interfaces:
  FindAction, ActionListener, Serializable, Cloneable, EventListener, Action

    public class FindInDialogAction

extends AbstractAction

Author:
  Nick Drummond, Medical Informatics Group, University of Manchester 03-Oct-2005
See Also:
  Serialized Form

Field Summary
`protected boolean` | `allowSave`
`protected ResultsViewModelFind` | `findModel`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`FindInDialogAction(ResultsViewModelFind find, Icon icon, HostResourceDisplay hrd, boolean allowSave)`

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`void` | `setTextBox(JTextComponent textBox)`
`protected void` | `showResults(edu.stanford.smi.protegex.owl.ui.search.finder.AbstractFindResultsView view)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.Action
`addPropertyChangeListener, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Field Detail

### findModel

    protected ResultsViewModelFind findModel

### allowSave

    protected boolean allowSave

Constructor Detail

### FindInDialogAction

    public FindInDialogAction(ResultsViewModelFind find,
                              Icon icon,
                              HostResourceDisplay hrd,
                              boolean allowSave)

Method Detail

### showResults

    protected void showResults(edu.stanford.smi.protegex.owl.ui.search.finder.AbstractFindResultsView view)

### setTextBox

    public void setTextBox(JTextComponent textBox)

  Specified by:
    `setTextBox` in interface `FindAction`

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.